[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.GetRawImage

Gets the raw image data at the specified position from the default image resolution (Width).

## Declaration

Source position: imglist.pp line 378

`public procedure TCustomImageList.GetRawImage(`
`Index: Integer;`
`out Image: TRawImage`
`);`

## Arguments

`Index` |  | Ordinal position in the image list for the raw image data.
`Image` |  | TRawImage instance where the image data is stored.

## Description

Calls GetResolution to get the image resolution for the value in the Width property. Calls GetRawImage in the image resolution to re-initialize and populate the Image output variable.